Bug 968896 - virt-manager will hang when shutdown lxc guest after open the console
virt-manager will hang when shutdown lxc guest after open the console
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Martin Kletzander
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 04:49 EDT by tingting zheng
Modified: 2014-06-17 20:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tingting zheng 2013-05-30 04:49:30 EDT
Description
virt-manager will hang when shutdown lxc guest after open the console

Version:
virt-manager-0.10.0-0.4.gitb68faac8.el7.noarch
libvirt-1.0.5-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Make sure you  have a lxc guest,Application container is ok.

2.Start the guest,open the graphics console.

3.Force off the guest,then virt-manager will hang forever.

4.If you restart virt-manager and not open the console,just Force off the guest,it can be shutdown successfully.

Actual results:
As describes.

Expected results:
virt-manager will not hang when shutdown lxc guest.

Additional info:
From libvirt,lxc guest can be boot and destroy successfully.
# virsh -c lxc:/// define test.xml
Domain test defined from test.xml

# virsh -c lxc:/// start test
Domain test started

# virsh -c lxc:/// destroy test
Domain test destroyed

From virt-manager --debug:
2013-05-30 15:15:16,566 (create:1921): Install completed
2013-05-30 15:15:16,694 (create:161): Closing new vm wizard
2013-05-30 15:15:16,879 (serialcon:404): Serial console '0' path changed to /dev/pts/3
2013-05-30 15:15:16,880 (serialcon:194): Opening console stream for dev=<virtinst.VirtualCharDevice.VirtualCharDevice object at 0x3085950> alias=console0
2013-05-30 15:15:16,887 (details:570): Showing VM details: <vmmDomain object at 0x3081aa0 (virtManager+domain+vmmDomain at 0x7f553c003a60)>
2013-05-30 15:15:17,058 (engine:320): window counter incremented to 2
2013-05-30 15:15:17,059 (console:1114): No graphics configured for guest
2013-05-30 15:15:18,537 (details:587): Closing VM details: <vmmDomain object at 0x3081aa0 (virtManager+domain+vmmDomain at 0x7f553c003a60)>
2013-05-30 15:15:18,537 (engine:324): window counter decremented to 1
2013-05-30 15:15:23,952 (engine:850): Destroying vm 'test'
2013-05-30 15:15:23,954 (asyncjob:193): Creating async job for function cb=<function tmpcb at 0x3578500>
Comment 2 Martin Kletzander 2013-06-03 11:56:09 EDT
Could you set your ulimit for coredumps and kill the process with C-\ or SIGSEGV and post the coredump here?  In case the GUI freezes as well, you can try running 'python -m trace --trace /usr/share/virt-manager/virt-manager.py --debug &>virt-manager.huge.log', kill it when it freezes, compress the log and post it here as well, but there is high possibility that the log will have so much graphic events from the X server that it will make it impossible to find where the code freezes.
Comment 4 Martin Kletzander 2013-06-11 03:34:53 EDT
Patch proposed upstream:

https://www.redhat.com/archives/virt-tools-list/2013-June/msg00042.html
Comment 5 Martin Kletzander 2013-06-12 05:19:00 EDT
Moving to POST:

commit 77fb38e60207874d4293448b64945c3d4ec11c30
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Tue Jun 11 09:32:13 2013 +0200

    serialcon: Close the console at the end of the stream
Comment 6 tingting zheng 2013-07-17 04:24:00 EDT
Tested with:
virt-manager-0.10.0-1.el7.noarch

The issue didn't exist,move the bug to VERIFIED.
Comment 7 Ludek Smid 2014-06-13 05:39:54 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.